For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
API StatusPartner Portal
HomeGuidesAPI ExplorerSDKsGitHubSupport
HomeGuidesAPI ExplorerSDKsGitHubSupport
  • API Concepts
    • Overview
    • Environments and URLs
    • Authentication
    • API versioning
    • Rate limiting
    • HTTP headers
    • Pagination, sorting, and filtering
  • General
  • Common
  • Accounts payable
  • Accounts receivable
  • E-invoicing
  • Payments
  • Accounting integration
  • Expense management
  • Utilities
      • GETGet text templates
      • POSTCreate a text template
      • GETGet a text template by ID
      • DELDelete a text template
      • PATCHUpdate a text template by ID
      • POSTMake a text template default
LogoLogo
API StatusPartner Portal
UtilitiesText templates

Create a text template

POST
/text_templates
POST
/v1/text_templates
$curl -X POST https://api.sandbox.monite.com/v1/text_templates \
> -H "x-monite-version: 2024-01-31" \
> -H "x-monite-entity-id: 9d2b4c8f-2087-4738-ba91-7359683c49a4" \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{
> "document_type": "quote",
> "name": "name",
> "template": "template",
> "type": "email_header"
>}'
1{
2 "id": "id",
3 "created_at": "2024-01-15T09:30:00Z",
4 "updated_at": "2024-01-15T09:30:00Z",
5 "document_type": "quote",
6 "is_default": true,
7 "name": "name",
8 "template": "template",
9 "type": "email_header"
10}
Create a text template
Was this page helpful?
Previous

Get a text template by ID

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Headers

x-monite-versionstringRequired
x-monite-entity-idstringRequired
The ID of the entity that owns the requested resource.

Request

This endpoint expects an object.
document_typeenumRequired
namestringRequired
templatestringRequired
typeenumRequired
Allowed values:

Response

Successful Response
idstringformat: "uuid"
created_atdatetime
updated_atdatetime
document_typeenum
is_defaultboolean
namestring
templatestring
typeenum
Allowed values:

Errors

422
Post Text Templates Request Unprocessable Entity Error
500
Post Text Templates Request Internal Server Error